#specfile originally created for Fedora, modified for Moblin Linux
Name: generic-logos
Summary: Icons and pictures
Version: 2.0.6
Release: 1.1.moblin2
Group: System Environment/Base
Source0: generic-logos-%{version}.tar.bz2

License: GPLv2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Provides: system-logos = %{version}-%{release}

%description
The generic-logos package contains various image files which can be
used by the bootloader, anaconda, and other related tools. It can
be used as a replacement for the moblin-logos package, if you are
unable for any reason to abide by the trademark restrictions on the
moblin-logos package.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/boot/grub
install -m 644 bootloader/splash.xpm.gz $RPM_BUILD_ROOT/boot/grub

mkdir -p $RPM_BUILD_ROOT%{_datadir}/firstboot/pixmaps
for i in firstboot/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/firstboot/pixmaps
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/rhgb
for i in rhgb/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/rhgb
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
for i in gnome-splash/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
for i in pixmaps/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps
done

(cd anaconda; make DESTDIR=$RPM_BUILD_ROOT install)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING
%{_datadir}/firstboot/*
%{_datadir}/rhgb/*
%{_datadir}/anaconda/pixmaps/*
%{_datadir}/pixmaps/*
/usr/lib/anaconda-runtime/*.jpg
# should be ifarch i386
/boot/grub/splash.xpm.gz
# end i386 bits

%changelog
* Fri Jul 24 2009 Arjan van de Ven <arjan@linux.intel.com> 2.0.6
- updated Grub splash from Hylke
* Thu May 28 2009 Anas Nashif <anas.nashif@intel.com> 2.0.4
- Update the splash again to make everyone happy
* Wed May 27 2009 Anas Nashif <anas.nashif@intel.com> 2.0.3
- Updated grub splash
* Tue May 19 2009 Anas Nashif <anas.nashif@intel.com> 2.0.1
- Update installer artwork
* Mon May 18 2009 Arjan van de Ven <arjan@linux.intel.com> 2.0.1
- another updated logo
* Fri May 15 2009 Arjan van de Ven <arjan@linux.intel.com> 2.0.1
- New grub splash from Hylke
* Wed May 13 2009 Anas Nashif <anas.nashif@intel.com> 2.0.1
- New moblin images
* Mon Mar 23 2009 Anas Nashif <anas.nashif@intel.com> 2.0.0
- New splash image
* Sat Feb 21 2009 Anas Nashif <anas.nashif@intel.com> 9.0.0
- Update grub splash
* Sat Feb 21 2009 Anas Nashif <anas.nashif@intel.com> 9.0.0
- Update grub splash
* Sat Jan 17 2009 Anas Nashif <anas.nashif@intel.com> 9.0.0
- Added new moblin splash placeholder
* Wed Jan 14 2009 Xu Li <xu.li@intel.com> 9.0.0
- Update installer screens
- Remove anaconda_header.png
* Sat Jan 10 2009 Anas Nashif <anas.nashif@intel.com> 9.0.0
- Added a few moblin splash screens
* Thu Aug 14 2008 Jianfeng Mei <jianfeng.mei@intel.com>
- Update branding info
* Tue Apr 15 2008 Bill Nottingham <notting@redhat.com> - 9.0.0-1
- updates for current fedora-logos (much thanks to <duffy@redhat.com>)
- remove KDE Infinity splash
* Mon Oct 29 2007 Bill Nottingham <notting@redhat.com> - 8.0.2-1
- Add Infinity splash screen for KDE
* Thu Sep 13 2007 Bill Nottingham <notting@redhat.com> - 7.92.1-1
- add powered-by logo (#250676)
- updated rhgb logo (<duffy@redhat.com>)
* Tue Sep 11 2007 Bill Nottinghan <notting@redhat.com> - 7.92.0-1
- initial packaging. Forked from fedora-logos, adapted from the Fedora
  Art project's Infinity theme
